Create Google App Engine module fails in 90.94

I just upgraded to 90.94 on Mac OS 10.6.1 (snow leopard).  When I add a new Module to a project that includes the Google App Engine facet I get an error:

"Error adding module to project: Argument 2 for @NotNull parameter of com/intellij/packaging/impl/run/BuildArtifactsBeforeRun.setBuildArtifactBeforeRun must not be null"

When I click OK, the module is created with the GAE template directory structure, but I have to go back to settings and set the Content Root by hand.  Also, the WAR Exploded build artifact is not configured.

Thoughts/suggestions?

thanks

-- James

2 comments
Comment actions Permalink

Will be fixed in next EAP build, thank you for reporting.

I just upgraded to 90.94 on Mac OS 10.6.1 (snow leopard).  When I add a new Module to a project that includes the Google App Engine facet I get an error:

"Error adding module to project: Argument 2 for @NotNull parameter of com/intellij/packaging/impl/run/BuildArtifactsBeforeRun.setBuildArtifactBeforeRun must not be null"

When I click OK, the module is created with the GAE template directory structure, but I have to go back to settings and set the Content Root by hand.  Also, the WAR Exploded build artifact is not configured.

Thoughts/suggestions?

thanks

-- James

---
Original message URL: http://www.jetbrains.net/devnet/message/5247967#5247967



--
Nikolay Chashnikov
Software Developer
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"

0
Comment actions Permalink

Excellent.  Thank you very much.

-- James

0

Please sign in to leave a comment.